<?php

/*
 * ユニットが持つテーブルの生成を行う
  * @param tbl_unitのマスタ情報
 */
function extunit_install($param, $db) {
	switch(DBTYPE) {
		case "pgsql":
$sql[] = "CREATE TABLE  extunit_img (
  pageu_code INTEGER NOT NULL,
  extimg_img1 text NOT NULL,
  extimg_img2 text NOT NULL,
  extimg_img1_sp text,
  extimg_img2_sp text,
  extimg_img_code1 INTEGER NOT NULL,
  extimg_img_code2 INTEGER NOT NULL,
  extimg_img_code1_sp INTEGER NOT NULL,
  extimg_img_code2_sp INTEGER NOT NULL,
  extimg_alt text,
  extimg_cap text,
  extimg_clc_flg SMALLINT default NULL,
  extimg_jmp_url text,
  extimg_jmp_flg SMALLINT default NULL,
  btm_padding SMALLINT default '2',
  btm_padding_sp SMALLINT default '2',
  use_sp_flg SMALLINT default '1',
  PRIMARY KEY  (pageu_code)
)";
$sql[] = "CREATE TABLE  extunit_img_tmp (
  pageu_code INTEGER NOT NULL,
  extimg_img1 text NOT NULL,
  extimg_img2 text NOT NULL,
  extimg_img1_sp text,
  extimg_img2_sp text,
  extimg_img_code1 INTEGER NOT NULL,
  extimg_img_code2 INTEGER NOT NULL,
  extimg_img_code1_sp INTEGER NOT NULL,
  extimg_img_code2_sp INTEGER NOT NULL,
  extimg_alt text,
  extimg_cap text,
  extimg_clc_flg SMALLINT default NULL,
  extimg_jmp_url text,
  extimg_jmp_flg SMALLINT default NULL,
  btm_padding SMALLINT default '2',
  btm_padding_sp SMALLINT default '2',
  use_sp_flg SMALLINT default '1',
  PRIMARY KEY  (pageu_code)
)";
			break;
		case "mysql":
$sql[] = "CREATE TABLE  extunit_img (
  pageu_code INTEGER NOT NULL,
  extimg_img1 text NOT NULL,
  extimg_img2 text NOT NULL,
  extimg_img1_sp text,
  extimg_img2_sp text,
  extimg_img_code1 INTEGER NOT NULL,
  extimg_img_code2 INTEGER NOT NULL,
  extimg_img_code1_sp INTEGER NOT NULL,
  extimg_img_code2_sp INTEGER NOT NULL,
  extimg_alt text,
  extimg_cap text,
  extimg_clc_flg SMALLINT default NULL,
  extimg_jmp_url text,
  extimg_jmp_flg SMALLINT default NULL,
  btm_padding SMALLINT default '2',
  btm_padding_sp SMALLINT default '2',
  use_sp_flg SMALLINT default '1',
  PRIMARY KEY  (pageu_code)
)TYPE=InnoDB DEFAULT CHARSET=UTF8;";
$sql[] = "CREATE TABLE  extunit_img_tmp (
  pageu_code INTEGER NOT NULL,
  extimg_img1 text NOT NULL,
  extimg_img2 text NOT NULL,
  extimg_img1_sp text,
  extimg_img2_sp text,
  extimg_img_code1 INTEGER NOT NULL,
  extimg_img_code2 INTEGER NOT NULL,
  extimg_img_code1_sp INTEGER NOT NULL,
  extimg_img_code2_sp INTEGER NOT NULL,
  extimg_alt text,
  extimg_cap text,
  extimg_clc_flg SMALLINT default NULL,
  extimg_jmp_url text,
  extimg_jmp_flg SMALLINT default NULL,
  btm_padding SMALLINT default '2',
  btm_padding_sp SMALLINT default '2',
  use_sp_flg SMALLINT default '1',
  PRIMARY KEY  (pageu_code)
)TYPE=InnoDB DEFAULT CHARSET=UTF8;";
			//mysql 5.5対応
			if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
			//mysql5.0以上の時はTYPEをENGINEに置換え
				foreach((array)$sql as $k => $v){
					$sql[$k] = str_replace('TYPE=InnoDB','ENGINE = InnoDB', $v);
				}
			}
			break;
		default:
			return false;
			break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}

	return true;
}
?>